spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    druid:
      url: jdbc:mysql://121.40.41.240:3306/heyu_admin?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
      username: heyu_admin
      password: 'Ro_d39PlM^#8^f!2'
      initial-size: 10
      max-active: 10
      min-idle: 5
      max-wait: 60000
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 20
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      #Oracle需要打开注释
      validation-query: SELECT 1
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: false
        wall:
          config:
            multi-statement-allow: true

  redis:
    password: A_kMn84#@^_Lmc
    port: 6379
    host: 121.40.41.240
    timeout: 5000
  rabbitmq:
    host: 121.40.41.240
    port: 15672
    username: user
    password: dk_eP^#fkLf30
    listener:
      simple:
        # 设置手动ack回复
        acknowledge-mode: manual
        retry:
          # 开启重试机制
          enabled: true
          # 重试次数
          max-attempts: 3
          # 重试最大间隔时间
          max-interval: 100000
          # 重试初始间隔时间
          initial-interval: 100
          # 间隔时间因子
          multiplier: 20
    #设置消息发送回调
    publisher-returns: true
    publisher-confirm-type: simple
    virtual-host: /heyu